
Redmine - Defect #11284

Email missing route after change home route

2012-06-28 11:46 - Sølve Monteiro

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 2.0.2

Description

I want to have the project list as the home page for my redmine site, so I changed the following in routes.rb from

  root :to => 'welcome#index', :as => 'home'

to

  root :to => 'projects#index', :as => 'home'

 However, now email notification is not working. When I attempt to send a test-email I get the following error:

An error occurred while sending mail (No route matches {:controller=>"welcome"})

 Any help would be greatly appreciated.

History

#1 - 2012-07-17 22:53 - Lukasz Gromanowski

Please check if code below is working for you (it's working for me)

# Just add this below 'root :to=> ...' line

match '/', :to => 'welcome#index', :as => 'home'

#2 - 2012-07-23 13:08 - Sølve Monteiro

- Status changed from New to Resolved

Thank you very much, this worked!

#3 - 2013-01-13 23:46 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed

- Resolution set to Fixed

#4 - 2015-06-05 19:03 - Brian Kirkpatrick

If you are implementing this solution with a more recent version of Redmine (or Rails, specifically), it appears that you will need to replace the ":as"

option with a "via" argument (per http://guides.rubyonrails.org/routing.html):

# Just add this below 'root :to=> ...' line

match '/', :to => 'welcome#index', via: :all
